Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs
Interface OptionalFeaturesSupportedType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  OptionalFeaturesSupportedTypeImpl

    public interface OptionalFeaturesSupportedType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Optional Features Supported Type'.

The following features are supported:

- `Sql Query`
- `XQuery`

See Also:
  `RegistryPackage.getOptionalFeaturesSupportedType()`

Method Summary
`boolean` | `isSetSqlQuery()` Returns whether the value of the '`Sql Query`' attribute is set.
`boolean` | `isSetXQuery()` Returns whether the value of the '`XQuery`' attribute is set.
`boolean` | `isSqlQuery()` Returns the value of the 'Sql Query' attribute.
`boolean` | `isXQuery()` Returns the value of the 'XQuery' attribute.
`void` | `setSqlQuery(boolean value)` Sets the value of the '`Sql Query`' attribute.
`void` | `setXQuery(boolean value)` Sets the value of the '`XQuery`' attribute.
`void` | `unsetSqlQuery()` Unsets the value of the '`Sql Query`' attribute.
`void` | `unsetXQuery()` Unsets the value of the '`XQuery`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isSqlQuery

    boolean isSqlQuery()

  Returns the value of the 'Sql Query' attribute. The default value is `"false"`.

  If the meaning of the 'Sql Query' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sql Query' attribute.
  See Also:
    `isSetSqlQuery()`, `unsetSqlQuery()`, `setSqlQuery(boolean)`, `RegistryPackage.getOptionalFeaturesSupportedType_SqlQuery()`

### setSqlQuery

    void setSqlQuery(boolean value)

  Sets the value of the '`Sql Query`' attribute.

  Parameters:
    `value` - the new value of the 'Sql Query' attribute.
  See Also:
    `isSetSqlQuery()`, `unsetSqlQuery()`, `isSqlQuery()`

### unsetSqlQuery

    void unsetSqlQuery()

  Unsets the value of the '`Sql Query`' attribute.

  See Also:
    `isSetSqlQuery()`, `isSqlQuery()`, `setSqlQuery(boolean)`

### isSetSqlQuery

    boolean isSetSqlQuery()

  Returns whether the value of the '`Sql Query`' attribute is set.

  Returns:
    whether the value of the 'Sql Query' attribute is set.
  See Also:
    `unsetSqlQuery()`, `isSqlQuery()`, `setSqlQuery(boolean)`

### isXQuery

    boolean isXQuery()

  Returns the value of the 'XQuery' attribute. The default value is `"false"`.

  If the meaning of the 'XQuery' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'XQuery' attribute.
  See Also:
    `isSetXQuery()`, `unsetXQuery()`, `setXQuery(boolean)`, `RegistryPackage.getOptionalFeaturesSupportedType_XQuery()`

### setXQuery

    void setXQuery(boolean value)

  Sets the value of the '`XQuery`' attribute.

  Parameters:
    `value` - the new value of the 'XQuery' attribute.
  See Also:
    `isSetXQuery()`, `unsetXQuery()`, `isXQuery()`

### unsetXQuery

    void unsetXQuery()

  Unsets the value of the '`XQuery`' attribute.

  See Also:
    `isSetXQuery()`, `isXQuery()`, `setXQuery(boolean)`

### isSetXQuery

    boolean isSetXQuery()

  Returns whether the value of the '`XQuery`' attribute is set.

  Returns:
    whether the value of the 'XQuery' attribute is set.
  See Also:
    `unsetXQuery()`, `isXQuery()`, `setXQuery(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD